Skip to main content

Get Voice Accents

GET 

https://api.knoxstudio.ai/v1/voices/accents

List accents for a TTS model_id. If set, model_id must be a valid TTS model. Not billed.

Request​

Query Parameters​

NameTypeRequiredDescription
model_idStringNoTTS model such as eleven_multilingual_v2 or eleven_v3.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.

cURL Example​

curl -X GET "https://api.knoxstudio.ai/v1/voices/accents?model_id=eleven_multilingual_v2" \
-H "Authorization: Bearer $KNOXCHAT_API_KEY"

Response​

Success Response (200)​

JSON list of accent identifiers.

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.